Subject: RE: [Tsvwg] Tie Tag Structure

From: [email-masked]
Date: Wed, 12 Sep 2001 12:47:01 +0300

Hi Rohit

	The two tie-tags included in the cookie carry a copy of the two
verification tags of the association that seems to be restarted (the used by
the INIT receiver and the used by the peer of the old association).

	If you have a normal association in which you send your datagrams
with TAG-Z on them, and you accept datagrams with TAG-A, in case you receive
an INIT coming from the address and port used by your peer, you include both
the values of TAG-Z and TAG-A inside the cookie, and then you generate a new
tag of your own (and include it in the Initiate Tag of the INIT ACK that you
will send in response to the INIT), and use the one in the Initiate Tag of
the INIT received in your outgoing datagram (so the INIT sender will accept
the datagram once it receives it).

	The tie-tags are just 4-bytes integers as the Verification Tags are.

	I hope this helps! In Section 5.2.2 and 5.2.4 of RFC 2960 you have
the information regarding those tags...

	BR Iván Arias Rodríguez

> -----Original Message-----
> From: ext Rohit [mailto:[email-masked]]
> Sent: 12. September 2001 12:27
> To: [email-masked]
> Subject: [Tsvwg] Tie Tag Structure
> 
> 
> Hi All,
>    I bumped into this mailing list while searching some stuff on SCTP.
>    I am a beginner, as far as SCTP is concerned. 
>    
>    I was trying to figure out the mechanism / criteria of 
> generating a Tie Tag. I understand that this tag is sent when 
> an endpoint determines that the peer has restared. this tag 
> is sent to help the peer link the newly starting Assosiation 
> with the original association that didn't restart.
> 
>     What i am trying to figure out is the information carried 
> in these tei tags.
> 
> 
> Thanks 
> Rohit.
> 
> 
>  
> 
> 
> 
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg
> 

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg